#!/bin/bash
for file in "$@"
do
    if [[ "$file" == *.pdf ]]; then
        # nom du fichier de sortie
        output="${file%.pdf}_compressed.pdf"
        # compression avec ghostscript
	echo "generation du fichier $output..."
        gs -sDEVICE=pdfwrite -dCompatibilityLevel=1.4 -dPDFSETTINGS=/screen \
           -dNOPAUSE -dQUIET -dBATCH -sOutputFile="$output" "$file"
    fi
done
